aboutsummaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorJohannes Schindelin <johannes.schindelin@gmx.de>2009-02-04 00:26:31 +0100
committerJunio C Hamano <gitster@pobox.com>2009-02-03 22:01:26 -0800
commita6d63b749369f3ba9c6d2f382efd27838604b7db (patch)
treea7590d52e609260a40a8d02375d63a72f2d6eff2 /t/test-lib.sh
parent3da936523445eb7a74dfe3ab1fe0ce82fac56174 (diff)
downloadgit-a6d63b749369f3ba9c6d2f382efd27838604b7db.tar.gz
git-a6d63b749369f3ba9c6d2f382efd27838604b7db.tar.xz
test-lib: avoid assuming that templates/ are in the GIT_EXEC_PATH
Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index bc87936ba..20214468a 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -454,7 +454,7 @@ test_create_repo () {
repo="$1"
mkdir -p "$repo"
cd "$repo" || error "Cannot setup test environment"
- "$GIT_EXEC_PATH/git" init "--template=$GIT_EXEC_PATH/templates/blt/" >&3 2>&4 ||
+ "$GIT_EXEC_PATH/git" init "--template=$owd/../templates/blt/" >&3 2>&4 ||
error "cannot run git init -- have you built things yet?"
mv .git/hooks .git/hooks-disabled
cd "$owd"
@@ -578,8 +578,6 @@ else
PATH=$GIT_VALGRIND/bin:$PATH
GIT_EXEC_PATH=$GIT_VALGRIND/bin
export GIT_VALGRIND
-
- make_symlink ../../../templates "$GIT_VALGRIND"/bin/templates || exit
fi
GIT_TEMPLATE_DIR=$(pwd)/../templates/blt
unset GIT_CONFIG